/Users/bernard/b20/bsoft/tcltk/bshow_graph.tcl(3)

NAME
/Users/bernard/b20/bsoft/tcltk/bshow_graph.tcl - Procedures to draw graphs in Bshow.

SYNOPSIS

  Functions
Histogram
Draws a histogram of the image data.
calcHistogram
Calculates the histogram.
Diffraction
Dialog box to analyze diffraction patterns.
setDiffOrigin w x y
Sets the origin from canvas coordinates.
updateOrigin w x y z
Updates the origin.
calcRadialAverage w plotdata findori
Calculates the radial average of the first image.
setupGraphVariables w
Sets up the point position and limits variables in the window.
plotGraph w plotdata type xlab ylab
Plots the graph given specific limits.
getLimits w plotdata
Gets the limits from the input data.
updateLimits w xmin xmax ymin ymax
Updates the entry boxes for the plot limits.
drawGraph w plotdata type xlab ylab
Draws the graph when new data is read in.
drawSubGraph w plotdata x1 y1 x2 y2 type xlab ylab
Draws the graph when new data is read in.
showPoint w plotdata x y
Gets the limits from the input data.
drawRectangle c x1 y1 x2 y2
Draws a rectangle on the canvas.
writePlotData plotdata
Writes the plot data to a text file.

Detailed Description

Procedures to draw graphs in Bshow.

Author:
    Bernard Heymann

Date:
    Created: 20010516

    Modified: 20141226

Definition in file bshow_graph.tcl.

Function Documentation

  calcHistogram

Calculates the histogram.

Definition at line 109 of file bshow_graph.tcl.

  calcRadialAveragew plotdata findori

Calculates the radial average of the first image.

Parameters:
    w Plot window object.
    plotdata Array of data.
    findori Flag to find diffraction origin

Definition at line 307 of file bshow_graph.tcl.

  Diffraction

Dialog box to analyze diffraction patterns.

Definition at line 143 of file bshow_graph.tcl.

  drawGraphw plotdata type xlab ylab

Draws the graph when new data is read in.

Parameters:
    w Window object.
    plotdata Array of data.
    type Plot type.
    xlab
    ylab axis labels

Definition at line 556 of file bshow_graph.tcl.

  drawRectanglec x1 y1 x2 y2

Draws a rectangle on the canvas.

Parameters:
    c Canvas object.
    x1
    y1
    x2
    y2 Canvas coordinates of rectangle.

Definition at line 652 of file bshow_graph.tcl.

  drawSubGraphw plotdata x1 y1 x2 y2 type xlab ylab

Draws the graph when new data is read in.

Parameters:
    w Window object.
    plotdata Array of data.
    x1
    y1
    x2
    y2 Canvas coordinates of selected region
    type Plot type.
    xlab
    ylab axis labels

Definition at line 574 of file bshow_graph.tcl.

  getLimitsw plotdata

Gets the limits from the input data.

Parameters:
    w Window object.
    plotdata Array of data.

Definition at line 507 of file bshow_graph.tcl.

  Histogram

Draws a histogram of the image data.

Definition at line 19 of file bshow_graph.tcl.

  plotGraphw plotdata type xlab ylab

Plots the graph given specific limits.

Parameters:
    w Window object.
    plotdata Array of data.
    type type of graph (oval, bar, line)
    xlab
    ylab axis labels

Definition at line 394 of file bshow_graph.tcl.

  setDiffOriginw x y

Sets the origin from canvas coordinates.

Parameters:
    w Plot window object.
    x
    y Position in canvas coordinates.

Definition at line 246 of file bshow_graph.tcl.

  setupGraphVariablesw

Sets up the point position and limits variables in the window.

Parameters:
    w Window object.

Definition at line 361 of file bshow_graph.tcl.

  showPointw plotdata x y

Gets the limits from the input data.

Parameters:
    w Window object.
    plotdata Array of data.
    x
    y Point coordinates in the window.

Definition at line 612 of file bshow_graph.tcl.

  updateLimitsw xmin xmax ymin ymax

Updates the entry boxes for the plot limits.

Parameters:
    w Window object.
    xmin
    xmax x range.
    ymin
    ymax y range.

Definition at line 537 of file bshow_graph.tcl.

  updateOriginw x y z

Updates the origin.

Parameters:
    w Plot window object.
    x
    y
    z Origin.

Definition at line 268 of file bshow_graph.tcl.

  writePlotDataplotdata

Writes the plot data to a text file.

Parameters:
    plotdata Array of data.

Definition at line 661 of file bshow_graph.tcl.

Author

Generated automatically by Doxygen for Bsoft from the source code.